Bug 134008 - [patch] x11-drivers/xf86-video-radeonhd: add glproto as a build dependency to enable DRI support at compile time
[patch] x11-drivers/xf86-video-radeonhd: add glproto as a build dependency to...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-x11
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 00:10 UTC by Boris Samorodov
Modified: 2009-05-14 06:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2009-04-26 00:10:00 UTC
	Glproto is not defined as build dependency for the port. Packaging systems
	like pointyhat or tinderbox produce packages without DRI support compiled in. Here is
	the diff of "make configure" output before and after applying the patch:
	=====
	--- configure.log.nodri 2009-04-26 01:08:01.000000000 +0400
	+++ configure.log.dri   2009-04-26 01:03:35.000000000 +0400
	@@ -5,6 +5,7 @@
	 => SHA256 Checksum OK for xorg/driver/xf86-video-radeonhd-1.2.5.tar.bz2.
	 ===>  Patching for xf86-video-radeonhd-1.2.5
	 ===>   xf86-video-radeonhd-1.2.5 depends on file: /usr/local/libdata/pkgconfig/damageproto.pc - found
	+===>   xf86-video-radeonhd-1.2.5 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - found
	 ===>   xf86-video-radeonhd-1.2.5 depends on file: /usr/local/libdata/pkgconfig/videoproto.pc - found
	 ===>   xf86-video-radeonhd-1.2.5 depends on file: /usr/local/libdata/pkgconfig/xextproto.pc - found
	 ===>   xf86-video-radeonhd-1.2.5 depends on file: /usr/local/libdata/pkgconfig/xf86driproto.pc - found
	@@ -107,8 +108,11 @@
	 checking for xf86RandR12.h... yes
	 checking whether to enable RandR1.2 support... yes
	 checking whether XF86DRI is declared... yes
	-checking for DRI... no
	-checking whether to enable DRI support... no
	+checking for DRI... yes
	+checking GL/gl.h usability... yes
	+checking GL/gl.h presence... yes
	+checking for GL/gl.h... yes
	+checking whether to enable DRI support... yes
	 checking for /usr/local/include/xorg/damage.h... yes
	 checking /usr/local/include/xorg/xf86_ansic.h usability... no
	 checking /usr/local/include/xorg/xf86_ansic.h presence... no
	@@ -152,6 +156,3 @@
	 config.status: creating config.h
	 config.status: executing depfiles commands
	 config.status: executing libtool commands
	-
	-NOTE: DRI support is disabled
	-
	=====

	Those who build/install programms via ports (and thus have x11/glproto installed)
	are not affected.

Fix: NOTE1: seems that driver/xf86-video-radeonhd-devel should be patched either.
	I didn't use that port though.
	NOTE2: driver/xf86-video-radeonhd-devel conflicts with xf86-video-ati-[0-9]*.
	May be the current port should be marked as well.



WBR
-- 
bsam--nmvL85IKUlXmWgN4DKLobI7uAKeJyda4VqxEnDwGy9JLjk8F
Content-Type: text/plain; name="xf86-video-radeonhd.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="xf86-video-radeonhd.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-drivers/xf86-video-radeonhd/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- Makefile	9 Apr 2009 16:37:21 -0000	1.11
+++ Makefile	25 Apr 2009 21:22:13 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	xf86-video-radeonhd
 PORTVERSION=	1.2.5
+PORTREVISION=	1
 CATEGORIES=	x11-drivers
 
 MAINTAINER=	x11@FreeBSD.org
@@ -15,7 +16,7 @@
 OPTIONS=	UTILS "Install rhd_conntest and rhd_dump utilities" off
 
 XORG_CAT=	driver
-USE_XORG=	damageproto videoproto xextproto xf86driproto
+USE_XORG=	damageproto glproto videoproto xextproto xf86driproto
 CONFIGURE_ARGS=	--enable-exa
 
 CONFLICTS=	xf86-video-radeonhd-devel-[0-9]*
How-To-Repeat: 	Install a package via "pkg_add -r" or build a package at tinderbox and install it.
	Then look at /var/log/Xorg.0.log:
	=====
	(WW) RADEONHD(0): DRI support has been disabled at compile time
	=====
Comment 1 Edwin Groothuis freebsd_committer 2009-04-26 00:10:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2009-05-14 06:40:56 UTC
bsam        2009-05-14 05:40:45 UTC

  FreeBSD ports repository

  Modified files:
    x11-drivers/xf86-video-radeonhd Makefile 
  Log:
  . add glproto as a dependency, so packages are got compiled without DRI support;
  . bump PORTREVISION.
  
  PR:             ports/134008
  Submitted by:   bsam (me)
  Approved by:    x11@ (maintainer timeout, 19 days)
  
  Revision  Changes    Path
  1.13      +2 -2      ports/x11-drivers/xf86-video-radeonhd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Boris Samorodov freebsd_committer 2009-05-14 06:47:13 UTC
State Changed
From-To: open->closed

Committed, thanks! ;-)